package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Deleted;
import com.realnet.vpspack.Services.DeletedService ;












@RequestMapping(value = "/Deleted")
 @CrossOrigin("*") 
@RestController
public class DeletedController {
	@Autowired
	private DeletedService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Deleted")
		  public Deleted Savedata(@RequestBody Deleted data) {
		Deleted save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Deleted/{id}")
	public  Deleted update(@RequestBody Deleted data,@PathVariable Integer id ) {
		Deleted update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Deleted/getall/page")
	public Page<Deleted> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Deleted> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Deleted")
	public List<Deleted> getdetails() {
		 List<Deleted> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Deleted")
	public List<Deleted> getallwioutsec() {
		 List<Deleted> get = Service.getdetails();		
		return get;
}
@GetMapping("/Deleted/{id}")
	public  Deleted  getdetailsbyId(@PathVariable Integer id ) {
		Deleted  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Deleted/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}